<div class="">
  <header></header>
  <section class="content">
    <div class="head">ใบรายละเอียดการส่งต่อ</div>
    <div class="card">
      <% patient = @referral.patient %>
      <div class="cardHead">ข้อมูลผู้ป่วย</div>
      <div class="cardContent">
        <div class="cardGroup">
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ชื่อ-นามสกุล</label>
              <label class="value">
                <%= patient.prename.present? ? MPrename.find_by(code: patient.prename).label : '-' %>
                <%= patient.first_name %>
                <%= patient.last_name %>
              </label>
            </span>
            <span class="resultBlock">
              <label class="label">อายุ</label>
              <label class='value'>
                <% if patient.birthdate.present? %>
                  <%= age(patient.birthdate) %>
                <% else %>
                  -
                <% end %>
              </label>
            </span>
            <span class="resultBlock">
              <label class="label">เพศ</label>
              <label class='value'>
                <% if patient.sex.present? %>
                  <%= MSex.find_by(code: patient.sex).label %>
                <% else %>
                  -
                <% end %>
              </label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">เลขประจําตัวประชนชน</label>
              <label class='value'>
                <%= patient.patient_id_list.present? ? patient.patient_id_list : '-' %>
              </label>
            </span>
            <span class="resultBlock">
              <label class="label">HN</label>
              <label class="value"><%= patient.patient_id.nil? ? '-': patient.patient_id %></label>
            </span>
            <span class="resultBlock">
              <label class="label">สัญชาติ</label>
              <label class='value'>
                <% if patient.nationality.present? %>
                  <%= MNationality.find_by(code: patient.nationality).label %>
                <% else %>
                  -
                <% end %>
              </label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">สิทธิการรักษาพยาบาล</label>
              <label class="value"><%= patient.account_name.present? ? patient.account_name : '-' %></label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ระบุ</label>
              <label class="value"><%= patient.account_number.present? ? patient.account_number : '-' %></label>
            </span>
          </div>
        </div>
        <div class="cardLine"></div>
        <div class="cardGroup">
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ชื่อโรงพยาบาล</label>
              <label class="value"><%= @referral.hospital_source.nil? ? '-' : MHospital.find_by(code: @referral.hospital_source).label %></label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">วัน/เดือน/ปี ที่ส่ง Case จาก ร.พ./อื่นๆ</label>
              <label class="value"><%= @referral.effective_at.nil? ? '-' : basic_date_format(@referral.effective_at) %></label>
            </span>
            <span class="resultBlock">
              <label class="label">วัน/เดือน/ปี ที่รับ Case</label>
              <label class="value"><%= @referral.response_refer_at.nil? ? '-' : basic_date_format(@referral.response_refer_at) %></label>
            </span>
          </div>
          <div class='resultLine'>
            <table class="resultBlock">
              <tbody>
                <tr>
                  <td class="label">โรค</td>
                  <td class="value">
                    <% visit = @referral.visits[0] %>
                    <% if visit.present? %>
                      <% if visit.diagnoses.present? && visit.diagnoses.size > 0 %>
                        <% diagnose = visit.diagnoses[0] %>
                        <div><%= diagnose.disease_text.present? ? diagnose.disease_text : '-' %></div>
                      <% else %>ไม่มี<% end %>
                    <% else %>
                      ไม่มี
                    <% end %>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">กลุ่ม HHC</label>
              <label class="value"><%= @referral.patient_type.nil? ? '-': RPatientType.find_by(code: @referral.patient_type).label %></label>
            </span>
          </div>
          <div class='resultLine'>
            <table class="resultBlock">
              <tbody>
                <tr>
                  <td class="label">อุปกรณ์ทางการแพทย์ที่ได้รับกลับบ้าน</td>
                  <td class="value">
                    <% equipments = @referral.equipments %>
                    <% if equipments.size > 0 %>
                      <% equipments.each do |equipment| %>
                        <% if equipment.code == 9 %>
                          <div><%= equipment.other_description %></div>
                        <% else %>
                          <div><%= REquipmentType.find_by(code: equipment.code).label %></div>
                        <% end %>
                      <% end %>
                    <% else %>
                      ไม่มี
                    <% end %>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class='resultLine'>
            <table class="resultBlock">
              <tbody>
                <tr>
                  <td class="label">ประวัติการใช้ยา</td>
                  <td class="value">
                    <% if visit.present? %>
                      <% if visit.treatment_orders.present? and visit.treatment_orders.size > 0 %>
                      <% treatment_orders = visit.treatment_orders %>
                      <% treatment_orders.each do |t| %>
                        <div><%= t.drug_name %>&nbsp;<%= t.instruction %></div>
                      <% end %>
                      <% else %>ไม่มี<% end %>
                    <% else %>
                      ไม่มี
                    <% end %>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ปัญหา/ความต้องการในการเยี่ยมติดตาม</label>
              <label class="value"><%= @referral.patient_condition.present? ? @referral.patient_condition : '-' %></label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">บ้านเลขที่</label>
              <label class="value"><%= patient.current_address_house.present? ? patient.current_address_house : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">ชื่อหมู่บ้าน/ชุมชน</label>
              <label class="value"><%= patient.current_address_muban.present? ? patient.current_address_muban : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">หมู่ที่</label>
              <label class="value"><%= patient.current_address_village.present? ? patient.current_address_village : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">ถนน</label>
              <label class="value"><%= patient.current_address_road.present? ? patient.current_address_road : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">ซอย</label>
              <label class="value"><%= patient.current_address_soi.present? ? patient.current_address_soi : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">ตำบล</label>
              <label class="value"><%= patient.current_address_tambon.present? ? MAddressTambon.find_by(code: patient.current_address_tambon).label : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">อำเภอ</label>
              <label class="value"><%= patient.current_address_amphur.present? ? MAddressAmphur.find_by(code: patient.current_address_amphur).label : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">จังหวัด</label>
              <label class="value"><%= patient.current_address_changwat.present? ? MAddressChangwat.find_by(code: patient.current_address_changwat).label : '-' %></label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ลักษณะที่อยู่</label>
              <label class="value"><%= patient.house_type.present? ? MHouseType.find_by(code: patient.house_type).label : '-' %></label>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">เบอร์โทรศัพท์ที่ติดต่อผู้ป่วยได้</label>
              <label class="value"><%= patient.phone_number_home.present? ? patient.phone_number_home : '-' %></label>
            </span>
            <span class="resultBlock">
              <label class="label">เบอร์โทรศัพท์มือถือ</label>
              <label class="value"><%= patient.phone_number_mobile.present? ? patient.phone_number_mobile : '-' %></label>
            </span>
          </div>
        </div>
        <div class="cardLine"></div>

        <div class="cardGroup">
          <div class="title">ติดต่อ/ประสานขอข้อมูลเพิ่มเติม</div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ชื่อ-นามสกุล</label>
              <% case_manager = Provider.find_by(set_id: @referral.case_manager) %>
              <% if case_manager.present? %>
                <label class="value">
                  <%= case_manager.prename.present? ? MPrename.find_by(code: case_manager.prename).label : '-' %>
                  <%= case_manager.first_name %>
                  <%= case_manager.last_name %>
                </label>
              <% else %>
                <label class="value">-</label>
              <% end %>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">ตําแหน่ง</label>
              <% if case_manager.present? %>
                <label class="value"><%= case_manager.position %></label>
              <% else %>
                <label class="value">-</label>
              <% end %>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">สังกัด/โรงพยาบาล</label>
              <% if case_manager.present? %>
                <label class="value"><%= case_manager.hospital.present? ? MHospital.find_by(code: case_manager.hospital).label : '-' %></label>
              <% else %>
                <label class="value">-</label>
              <% end %>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">โทรศัพท์/มือถือ</label>
              <% if case_manager.present? %>
                <label class="value"><%= case_manager.phone_number_mobile.present? ? case_manager.phone_number_mobile : '-' %></label>
              <% else %>
                <label class="value">-</label>
              <% end %>
            </span>
          </div>
          <div class='resultLine'>
            <span class="resultBlock">
              <label class="label">สถานพยาบาลปลายทาง</label>
              <label class="value"><%= @referral.hospital_destination.present? ? MHospital.find_by(code: @referral.hospital_destination).label : '-' %></label>
            </span>
          </div>
        </div>
      </div>

      <div class="card">
        <div class="cardHead">ข้อมูล แบบประเมินภาวะสุขภาพและการพยาบาลผู้ป่วยต่อเนื่องที่บ้าน</div>
        <div class="cardContent">
          <div class="cardGroup">
            <div class='resultLine'>
              <span class="resultBlock">
                <label class="label">รหัสครอบครัว(Family ID)</label>
                <label class="value">-</label>
              </span>
            </div>
            <div class='resultLine'>
              <span class="resultBlock">
                <label class="label">No. แฟ้ม HHC</label>
                <label class="value"><%= @referral.set_id %></label>
              </span>
            </div>
            <div class='resultLine'>
              <span class="resultBlock">
                <label class="label">สถานะภาพสมรส</label>
                <% if patient.marital_status %>
                  <label class="value"><%= patient.marital_status.present? ? MMaritalStatus.find_by(code: patient.marital_status).label : '-' %></label>
                <% else %>
                  <label class="value">-</label>
                <% end %>
              </span>
            </div>
            <div class='resultLine'>
              <span class="resultBlock">
                <label class="label">ประเภทชุมชน</label>
                <label class="value"><%= patient.community_type.present? ? MCommunityType.find_by(code: patient.community_type).label : '-' %></label>
              </span>
              <span class="resultBlock">
                <label class="label">ชื่อชุมชน</label>
                <label class="value"><%= patient.current_address_muban.present? ? patient.current_address_muban : '-' %></label>
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
